Bug 104433 - [maintainer-update] lang/sketchy
Summary: [maintainer-update] lang/sketchy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-15 11:10 UTC by Nils M Holm
Modified: 2006-10-31 08:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2006-10-15 11:10:15 UTC
- Update to 2006-10-14
- Merged committer's modifications with upstream version

Fix: 

-- 
Nils M Holm <nmh@t3x.org> -- http://t3x.org/nmh/--Ue1K1eMz1TesIWDCO6Ta8Ccyf8yEvkHDCEUYVamZf1gw4FUS
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
--- lang/sketchy-old/Makefile	Sun Oct  8 19:23:12 2006
+++ lang/sketchy/Makefile	Sun Oct 15 12:01:00 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20061008
+PORTVERSION=	20061014
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/files/
 
@@ -24,13 +24,5 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|g' ${WRKSRC}/sketchy.h
-	@${REINPLACE_CMD} -e \
-		's|^CFLAGS=|CFLAGS+=|; \
-		 s|$$(CFLAGS) -o sketchy.o|& -fPIC|' \
-		 ${WRKSRC}/${MAKEFILE}
-
-post-install:
-	@cd ${PREFIX}/lib && ${MV} libsketchy.so libsketchy.so.0 && \
-		${LN} -s libsketchy.so.0 libsketchy.so
 
 .include <bsd.port.mk>
diff -ru lang/sketchy-old/distinfo lang/sketchy/distinfo
--- lang/sketchy-old/distinfo	Sun Oct  8 19:23:12 2006
+++ lang/sketchy/distinfo	Sun Oct 15 12:01:00 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20061008.tar.gz) = 91220c5bf2bf557afe17a6e03a79de96
-SIZE (sketchy-20061008.tar.gz) = 164964
-SHA256 (sketchy-20061008.tar.gz) = 84b0e3ebcf750797aac5ec6e6fe2396ff47b30122f654d31a070fd2f57092dc3
+MD5 (sketchy-20061014.tar.gz) = 963fa5d4f90dd042e1fcf0fcf3e542d3
+SIZE (sketchy-20061014.tar.gz) = 165243
+SHA256 (sketchy-20061014.tar.gz) = 03a9db3d94ada8e2c8c341d5e5dfa32e3b4270281be8443d340a6d3f38e38d94
diff -ru lang/sketchy-old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy-old/pkg-plist	Sun Oct  8 19:23:12 2006
+++ lang/sketchy/pkg-plist	Sun Oct 15 12:01:00 2006
@@ -3,7 +3,7 @@
 include/sketchy.h
 lib/libsketchy.a
 lib/libsketchy.so
-lib/libsketchy.so.0
+lib/libsketchy.so.20
 %%DATADIR%%/LICENSE
 %%DATADIR%%/lib/abs.scm
 %%DATADIR%%/lib/append.scm
Comment 1 Cheng-Lung Sung freebsd_committer 2006-10-15 14:05:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 2 Nils M Holm 2006-10-24 10:52:24 UTC
On Sun, Oct 15, 2006 at 10:10:15AM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=104433

Please make that an update to 2006-10-23.

>Fix:
diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
--- lang/sketchy-old/Makefile	Sun Oct  8 19:23:12 2006
+++ lang/sketchy/Makefile	Tue Oct 24 11:47:10 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20061008
+PORTVERSION=	20061023
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/files/
 
@@ -24,13 +24,5 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|g' ${WRKSRC}/sketchy.h
-	@${REINPLACE_CMD} -e \
-		's|^CFLAGS=|CFLAGS+=|; \
-		 s|$$(CFLAGS) -o sketchy.o|& -fPIC|' \
-		 ${WRKSRC}/${MAKEFILE}
-
-post-install:
-	@cd ${PREFIX}/lib && ${MV} libsketchy.so libsketchy.so.0 && \
-		${LN} -s libsketchy.so.0 libsketchy.so
 
 .include <bsd.port.mk>
diff -ru lang/sketchy-old/distinfo lang/sketchy/distinfo
--- lang/sketchy-old/distinfo	Sun Oct  8 19:23:12 2006
+++ lang/sketchy/distinfo	Tue Oct 24 11:47:10 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20061008.tar.gz) = 91220c5bf2bf557afe17a6e03a79de96
-SIZE (sketchy-20061008.tar.gz) = 164964
-SHA256 (sketchy-20061008.tar.gz) = 84b0e3ebcf750797aac5ec6e6fe2396ff47b30122f654d31a070fd2f57092dc3
+MD5 (sketchy-20061023.tar.gz) = dcefff1e4d05af466ac36fc39020b49e
+SIZE (sketchy-20061023.tar.gz) = 170657
+SHA256 (sketchy-20061023.tar.gz) = f38a6e2875e5083eda24c69493aaa902222f0142db32a89a901575519687498c
diff -ru lang/sketchy-old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy-old/pkg-plist	Sun Oct  8 19:23:12 2006
+++ lang/sketchy/pkg-plist	Tue Oct 24 11:47:10 2006
@@ -3,12 +3,13 @@
 include/sketchy.h
 lib/libsketchy.a
 lib/libsketchy.so
-lib/libsketchy.so.0
+lib/libsketchy.so.22
 %%DATADIR%%/LICENSE
 %%DATADIR%%/lib/abs.scm
 %%DATADIR%%/lib/append.scm
 %%DATADIR%%/lib/assoc.scm
 %%DATADIR%%/lib/assq.scm
+%%DATADIR%%/lib/assv.scm
 %%DATADIR%%/lib/booleanp.scm
 %%DATADIR%%/lib/c-alphabeticp.scm
 %%DATADIR%%/lib/c-cieqp.scm
@@ -34,6 +35,7 @@
 %%DATADIR%%/lib/divide.scm
 %%DATADIR%%/lib/equal.scm
 %%DATADIR%%/lib/equalp.scm
+%%DATADIR%%/lib/eqvp.scm
 %%DATADIR%%/lib/evenp.scm
 %%DATADIR%%/lib/expt.scm
 %%DATADIR%%/lib/gcd.scm
@@ -42,6 +44,7 @@
 %%DATADIR%%/lib/id.scm
 %%DATADIR%%/lib/if.scm
 %%DATADIR%%/lib/integer.scm
+%%DATADIR%%/lib/integerp.scm
 %%DATADIR%%/lib/lcm.scm
 %%DATADIR%%/lib/length.scm
 %%DATADIR%%/lib/less.scm
@@ -55,6 +58,7 @@
 %%DATADIR%%/lib/max.scm
 %%DATADIR%%/lib/member.scm
 %%DATADIR%%/lib/memq.scm
+%%DATADIR%%/lib/memv.scm
 %%DATADIR%%/lib/min.scm
 %%DATADIR%%/lib/minus.scm
 %%DATADIR%%/lib/modulo.scm
@@ -149,6 +153,7 @@
 %%DATADIR%%/src/queens.scm
 %%DATADIR%%/src/read-line.scm
 %%DATADIR%%/src/remove.scm
+%%DATADIR%%/src/scmtocps.scm
 %%DATADIR%%/src/sketchy-ext.scm
 %%DATADIR%%/src/some.scm
 %%DATADIR%%/src/sublist.scm
@@ -167,6 +172,7 @@
 %%DOCSDIR%%/library/append.html
 %%DOCSDIR%%/library/assoc.html
 %%DOCSDIR%%/library/assq.html
+%%DOCSDIR%%/library/assv.html
 %%DOCSDIR%%/library/booleanp.html
 %%DOCSDIR%%/library/c-alphabeticp.html
 %%DOCSDIR%%/library/c-cieqp.html
@@ -192,6 +198,7 @@
 %%DOCSDIR%%/library/divide.html
 %%DOCSDIR%%/library/equal.html
 %%DOCSDIR%%/library/equalp.html
+%%DOCSDIR%%/library/eqvp.html
 %%DOCSDIR%%/library/evenp.html
 %%DOCSDIR%%/library/expt.html
 %%DOCSDIR%%/library/gcd.html
@@ -201,6 +208,7 @@
 %%DOCSDIR%%/library/if.html
 %%DOCSDIR%%/library/index.html
 %%DOCSDIR%%/library/integer.html
+%%DOCSDIR%%/library/integerp.html
 %%DOCSDIR%%/library/lcm.html
 %%DOCSDIR%%/library/length.html
 %%DOCSDIR%%/library/less.html
@@ -214,6 +222,7 @@
 %%DOCSDIR%%/library/max.html
 %%DOCSDIR%%/library/member.html
 %%DOCSDIR%%/library/memq.html
+%%DOCSDIR%%/library/memv.html
 %%DOCSDIR%%/library/min.html
 %%DOCSDIR%%/library/minus.html
 %%DOCSDIR%%/library/modulo.html
@@ -283,6 +292,7 @@
 %%DOCSDIR%%/prog/qsort.html
 %%DOCSDIR%%/prog/queens.html
 %%DOCSDIR%%/prog/read-line.html
+%%DOCSDIR%%/prog/scmtocps.html
 %%DOCSDIR%%/prog/zebra.html
 %%DOCSDIR%%/progs.html
 %%DOCSDIR%%/sk01.html

-- 
Nils M Holm <nmh@t3x.org> -- http://t3x.org/nmh/
Comment 3 dfilter service freebsd_committer 2006-10-31 08:06:19 UTC
clsung      2006-10-31 08:06:14 UTC

  FreeBSD ports repository

  Modified files:
    lang/sketchy         Makefile distinfo pkg-plist 
  Log:
  - Update to 2006-10-23
  
  PR:             ports/104433
  Submitted by:   maintainer (Nils M Holm)
  
  Revision  Changes    Path
  1.15      +1 -12     ports/lang/sketchy/Makefile
  1.15      +3 -3      ports/lang/sketchy/distinfo
  1.12      +11 -1     ports/lang/sketchy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2006-10-31 08:06:22 UTC
State Changed
From-To: open->closed

Committed. Thank You.